package de.ivu.elect.business.stimmeingabe.entity;

public class StimmeingabeImporterErgebniseingangTK {

  private final Ergebniseingang ergebniseingang;

  public StimmeingabeImporterErgebniseingangTK(Ergebniseingang ergebniseingang) {
    this.ergebniseingang = ergebniseingang;
  }

  @Override
  public boolean equals(Object o) {
    if (this == o) return true;
    if (!(o instanceof StimmeingabeImporterErgebniseingangTK)) return false;

    StimmeingabeImporterErgebniseingangTK that = (StimmeingabeImporterErgebniseingangTK) o;

    if (!ergebniseingang.equals(that.ergebniseingang)) return false;

    return true;
  }

  @Override
  public int hashCode() {
    return ergebniseingang.hashCode();
  }
}
